Grand Master Ramos:
The sword of ritual is a token given to those who have passed the test to become a Knight. The one who receives the sword has earned the right to become a Knight. High-ranking Knights of the order have been entrusted with the care of the sword of ritual for generations. Until recently, Sir Collin Windawood cared for the sword, but when he was appointed governor of Talking Island, it was put in the care of Sir Klaus Vasper. You should go see him. He is near our warrior guild, so it will not be difficult to find him.
Return